#############################
##  BatteryCare Changelog  ##
#############################

0.9.40.0
Removed support for vulnerable WinRing0 CPU temperature library that flagged in Windows Defender.

0.9.36.0
Fixed inconsistent UI font.
Latvian translation fixes.
Other minor bugfixes.

0.9.35.0
Fixed blurry tray icons on high DPI screens.
Other bugfixes.

0.9.33.0
Upgraded base .NET framework to 4.6.1.

0.9.32.0
Fixed a bug with temperature alarms in Fahrenheit.
Minor UX refresh.

0.9.31.0
Added new icons to the PopUp window.
Fixed the popup position when the taskbar was hidden.
Fixed a crash when using high DPI screen settings.
Fixed German translation.

0.9.30.0
New feature: Added user defined CPU and HDD temperature alarms.

0.9.29.0
Fixed the notification icon text for high resolution displays (above 125% DPI).

0.9.27.0
Bugfix in notification panel, when a user clicked to calibrate battery nothing happened.
Minor translation corrections.

0.9.26.0
Performance optimizations.
Minor translation corrections.

0.9.25.1
Improvement: Improved CPU and HDD high temperature alarms algorithm.

0.9.25.0
New feature: CPU and HDD high temperature alarms.

0.9.21.0
New interface design for the auto updater.
Minor bug fixing.
Fixed a language issue in German translation.

0.9.20.0
New feature: In the advanced settings it's now possible to reset all calibration counts.
Code bug fixing.

0.9.18.0
Code bug fixing.
Translation corrections in Settings Panel.

0.9.17.0
New feature: Charging Level notification. Example: Notify when the charging process reaches 80%.
Settings panel layout tweaking.
Fixed some inconsistent language dialogs.

0.9.16.0
New feature: New notification windows with optional Full Screen overlay.
Statistical Time is now the default method to estimate the remaining time.
The battery remaining time is now always available in the Main Window and Popup Window.
Small interface refresh.

0.9.15.0
New feature: Display the CPU and HDD name when mouse hover the Popup and Main Window.
New feature: Display the CPU and HDD minimum and maximum temperatures when mouse hover the Popup and Main Window.
New Intel Core CPU temperature readings, supports a wider array of recent models.
Bugfix: Running in Administrator mode from the settings, caused the program to shutdown after 3 days.

0.9.14.0
New feature: The new version notification lists the main features included in the new release.
Improved Intel Core temperature readings: Now reads all cores and displays the highest one.
Left click tray menu header is now clickable.
Fixed language issues in some dialogs.
Bugfix: Tray icon not updating after long periods in battery mode.


0.9.13.0
Bug fix: HDD temperature was not being displayed on some systems.
Bug fix: Statistical time calculation could be locked at 0:00 time.
Updated Intel CPU list, includes latest Q1'13 Intel Core i Series and also Celeron and Pentiums.
Foreign language corrections.

0.9.12.1
Quick Fix: CPU Temperature was not being displayed on some systems.

0.9.12.0
Improved startup time, up to 4x faster now.
Improved estimated time algotithm, it's now more accurate.
Bugfix: In Windows 8, the remaining time to suspend was incorrect.
Bugfix: The detailed stats were not being properly updated.
Bugfix: A crash occured when an external HDD was disconnected from USB.

0.9.11.0
Improved temperature monitoring module: More CPUs and HDD are now supported.
Added credits text box in the About panel.
The program will now close existing intances at startup, in order to restore the hiding icon.
Minor visual tweaks.
Major bugfixes and translation corrections.
Updated Intel CPU list, includes 3rd Gen Intel Core.

0.9.10.0
New feature: Optional Audio notifications.
Updated Intel CPU list.
Bug fixing.

0.9.9.1
Quick-fix: CPU temperature readings for Intel Core i3 were reading higher than normal.
Quick-fix: An error window would popup when resuming from standby on some systems.
Quick-fix: In some systems the program would crash if it failed to obtain the HDD temperature.

0.9.9.0
Improvement: New Internal Core Engine. Memory optimization for faster and more stable platform.
Fixed long term execution issues, such as icon disappearing or random errors after a few days.
Updated the Intel TJunction file, now all Intel Core/Atom/i (1st and 2nd gen) series CPUs are supported.
Fixed the popup quick info blinking bug.
Fixed bugs in CPU and HDD temperature reading.
Fixed a bug that causd the program to run twice after the auto-update.
Numerous under the hood bugfixed.

0.9.8.12
Fixed a bug that caused the uninstall process to fail.

0.9.8.11
Fixed a critical bug which caused a crash when shutting down the program with Windows XP.
Fixed a bug related to the power schemes numbering in Windows XP.
Improved tutorial on how to perform a battery Calibration, available on the Website.

0.9.8.10
Faster startup time, up to 50% faster.
Reduced delay in Quickinfo Popup, is now faster.
Updater will now install Major releases with installer.
Fixed minor translation issues.

0.9.8.5
Optimized service pause/resume with delayed activation.
Fixed compatibility issue with Granola software.
Fixed a memory leak that caused a crash after many hours of usage.

0.9.8.3
Fixed bugs that caused the program to crash at startup on some systems with custom power scheme names

0.9.8.1
Fixed critical bug that crashed the program in systems with Windows language packs installed.
Fixed translation issues with Polish language.
Fixed bug in HDD temperature reading.

0.9.8.0
New languages: Czech, Dutch and Polish.
New feature: New settings panel with improved design and usability.
New feature: Automatically disable the Windows Sidebar / Gadgets in battery mode.
New feature: It's now possible to bypass the UAC limitations and run always in Administrator mode.
New feature: More settings configurable for even more customization.
Improvement: Better performance: 33% less memory consumption and reduced CPU usage.
Improvement: Full control over the cycles count.
Improvement: Improvements in the service pausing/resuming system.
Improvement: Full support for every Intel Core and Atom series, latest Core i Series included.
Improvement: New system for calculating the Intel CPU temperatures, based on an editable CSV file.
Improvement: Better support for large dpi fonts (120dpi), especially in the tray icon.
Extensive bugfixing.

0.9.7.11
Bugfix: A crash could occour with UAC enabled.
Bugfix: HDD temperatures reported non real values in some cases.

0.9.7.10
Improvement: Statistical remaining time is now relative to Sleep/Hibernate percentage.
New backup protection for data files.
Bugfix: Crash occoured in some XP systems with custom power plans.
Several other bugfixes.

0.9.7.9
New feature: Hard Drive temperature reading.
New feature: Quick Info popup replacing the default tooltip.
New feature: Access to power plans switching with a left click tray menu.
New Languages: Danish, Italian and Russian. 
Improvement: Main window and popup are now placed according to taskbar orientation and size.
Improvement: Better statistical time calculation thanks to correct standby/hibernate detection.
Improvement: It now shows the battery manufacturer and model name.
Improvement on the update process, no need to download an aux file.
Added support for Intel 'Core i' temperature readings.
Bugfix: Installer stalled at "extracting main files" on accounts with special characters.
Minor bugfixes and UI improvements.

0.9.7.7
Quickfix: Crash occoured when setting the "Hide energy icon" with UAC activated.
Quickfix: The selected power plan in the tray menu was not refreshed if the plan changed outside the program.

0.9.7.6
New feature: Manual power plan change in the tray menu.
New feature: Launch the Windows Energy options in the tray menu.
New feature: User can hide the windows default energy icon.
New feature: Configurable low and critical battery level notifications.
Options panel rearranged.
Bugfix: Estimated time was reset to zero when the laptop was plugged in.
Bugfix: Updater was launched twice.

0.9.7.3
Quickfix for temperature readings with some old Intel pentium processors.

0.9.7.2
New languages: French, German, Spanish, Latvian and Turskish.
New error report system.
Minor performance optimizations.
Bugfix: Increased the maximum allowed value for the manual discharge cycles adjustment.
Bugfix: When user confirms a full discharge, all registered percentages are resetted.
Bugfix: Fixed intel CPU temperature readings for 45nm CPUs (Penryn) and for Atom CPUs.
Added support for redundat update server.
Minor bugfixes.

###### previous versions changes are in Portuguese. Use the website to check them in English ######

0.9.7.1
Possibilidade de ler a temperatura em Fahrenheit.
Menu de Ajuda a funcionar e ligada à FAQ do site.
Novo menu de contexto.
Correcção de bug: A opção de cálculo estatístico, em alguns casos, era activada automaticamente quando se funcionava com a bateria.
Correcção de bug: Podia ocorrer um erro ao tentar desactivar/activar o Aero automaticamente.
Correcções menores e alterações menores de interface.

0.9.7.0
Nova funcionalidade: A mudança de planos de energia agora é suportada também em Windows XP.
Alteração: Dantes o cálculo de tempo restante estatístico só era usado em portáteis que não apresentassem este valor. Agora qualquer um pode usufruir através das opções.
Nova funcionalidade: Agora é apresentado também o número total de ciclos registados pelo programa.
Correcção de bug: Ocorria um crash quando não se seleccionava um perfil de energia quando a opção de troca de perfil estava activada.
Correcção de bug: Ás vezes occoria um crash quando o programa tentava mudar o ícone da tray para laranja. 
Melhoramentos no interface quando era atingido o número de ciclos de descarga alvo.
Correcções menores ao nível da internacionalização.
TODO: Help

0.9.6.3
Melhoramento na leitura da temperatura do CPU, em CPUs Intel, agora lê directamente do núcleo.
Internacionalização do updater. 

0.9.6.2
Correcção de bug: Ocorria um crash quando só se seleccionava um perfil de energia.
FIX: Stats a funcionar novamente.

0.9.6.1
Correcção de bug: O nome dos planos de energia personalizados eram mostrados incorrectamente.

0.9.6.0
Nova funcionalidade: Selecção automática dos planos de energia consoante o estado da alimentação do computador.
Alteração menor: Quando é feito um update é mostrada a página de changelog.
Alteração menor: Corrigidos aspectos textuais.
Correcção de bug: Quando era completado um ciclo de descarga, nas opções avançadas não era actualizado o valor dos ciclos actuais.
Correcção de bug: Era mostrada a notificação da bateria carregada quando se retirava a bateria.
Correcção de bug: Valores da bateria que sejam fora do comum já não são permitidos.

0.9.5.0
Multi-Idioma implementado com Português e Inglês, expansível a outras línguas.
	-> O Multi-Idioma só funcionará nesta versão se for a primeira instalação
	-> Os utilizadores que fizeram auto-update apenas terão a funcionalidade no próximo update automático.
Algoritmo de contagem de ciclos de descarga reescrito.

0.9.4.10
Corrigido erro que podia ocorrer quando não é possível obter o valor da temperatura do CPU.
Corrigido erro que ocorria ao desactivar serviços em Windows Seven X86.

0.9.4.9
Correcções no updater - Causava a cópia do BatteryCare.exe para a pasta Windows\System32 em alguns sistemas.
Mudança na comparação de versões.
Melhoramentos no logging.
Correcção no valor da taxa de descarga que permitia valores irreais. 

0.9.4.8
Corrigido bug crítico que causava utilização máxima de CPU se tivesse a opção de procura de actualizações desligada.
Corrigido bug no programa auxiliar de update que podia crashar e não actualizar o updater.

0.9.4.7
Corrigido bug no tooltip que ocorria quando no arranque do programa.
Corrigido bug (acidentalmente inserido) no cálculo do nível de desgaste.

0.9.4.6
Nova funcionalidade - Cálculo estimado do tempo restante da bateria para baterias que não apresentem esse valor.
Novo parâmetro na informação detalhada - Capacidade desenhada.
Correcção de erro no cálculo de wear level de algumas baterias que reportam valores anormais.
Corrigido bug que impedia o programa de se lançar em baterias que apresentassem valores anormais.
Correcções no updater.
Correcções menores na UI.

0.9.4.5
Adicionado serviço ReadyBoost à lista de serviços a ser pausados.
Melhoramentos na desactivação do Aero, agora altera em tempo real.
Melhoramentos na UI, ícone laranja quando a carregar.

0.9.4.4
Corrigido bug no cálculo do desgaste que permitia valores negativos.
Corrigido bug que impedia a actualização do Updater em sistemas com UAC.

0.9.4.3
Adicionada opção de escolha da cor do ícone da tray.

0.9.4.2
Corrigido bug nos tooltips em Windows XP.
Corrigido bug na actualização da capacidade actual em DC.

0.9.4.1
Corrigido um bug no algoritmo de contagem.

0.9.4.0
Corrigido bug que impedia o updater de se lançar em alguns sistemas.

0.9.3.9
Novos ícones.

0.9.3.8
Novos ícones, agora todos de redimensionamento perfeito.
O updater também actualiza o changelog.

0.9.3.7
Corrigido bug na contagem de descargas.

0.9.3.6
Adicionadas informações sobre as descargas totais nos detalhes.

0.9.3.5
Adicionado log output para debugging.
Novos ícones.
Corrigido bug no valor máximo do ajuste manual de descargas parciais. 

0.9.3.4
Corrigido bug no algoritmo de contagem. Permitia que, no mesmo ciclo, após uma Descarga Parcial,
se o programa reiniciasse, começava nova contagem, contando duas DPs no mesmo ciclo.

0.9.3.3
Correcções no Updater. Agora também ele se auto-actualiza.

0.9.3.2
Correcções no Updater.
O programa agora guarda os perfis na pasta de utilizador. Em Vista, o UAC impedia de escrever na pasta programas.
Correcções de aspecto.

0.9.3.1
Melhoramentos no aspecto e na notificação de descarga total.
Introdução da possibilidade de submeter manualmente o valor das descargas parciais.
Removido o botão de simulação de descargas parciais.

0.9.3.0
Adicionado sistema de Auto-Actualização. Em caso de falha, usa o sistema de procura de Actualizações apenas.

0.9.2.4
Agora é impossível correr mais do que uma instância do programa.
Os detalhes da bateria agora mudam conforme ela está ou não presente.
O ícone de actualizações fica animado quando está no processo de procura.
Adicionado detalhe da bateria: Nome do Fabricante.
Adicionado sistema de notificação de crash com detalhes do erro.
Correcção de bugs menores.
Ligeira alteração no aspecto visual.

0.9.2.3
Corrigido o bug na leitura do nível de desgaste.

0.9.2.2
Corrigido bug na barra de progresso das descargas.
Adicionados tooltips de ajuda nas opções.

0.9.2.1
Alterado o layout.
Introdução de tooltips de ajuda nas Informações detalhadas da bateria.
Bugs menores corrigidos.

0.9.2.0
Não requer permissões de Administrador.
Adicionadas as informações extra sobre a bateria.
Novo Layout em experimentação/desenvolvimento.

0.9.1.4
Adicionado o serviço Windows Search aos serviços a serem desactivados.

0.9.1.3
Corrigido bug que ocorria no XP.
Optimização de código.

0.9.1.2
Alterado o link para a página de update do batterycare.
(Feito a página de update do BatteryCare.

0.9.1.1
Melhoria no algoritmo de contagem da bateria.

0.9.1.0
Adicionado sistema básico de verificação de actualizações.
O Cancelar das opções agora funciona.
Adicionado um manifest correcto que permite correr tanto num Vista com ou sem UAC.
Corrigido o bug de arranque provocado pelo anterior manifest.
Feitas melhorias de performance no algoritmo. Reduziu o tempo de cpu de cerca de 1,5% para cerca de 0,10%.
O consumo de memória também foi diminuído.

0.9.0.6
O programa agora corre em nível de Administrador de forma a poder mostrar a temp do CPU num PC com UAC (Vista).
Tem opçao de desactivar o Aero quando entra em bateria.

0.9.0.5
Agora lê temperatura do CPU.
Tem opçao de desactivação automatica do superfetch quando está em bateria.

0.9.0.4
Tem o tipo de letra embutido no executavel.